import request from '@/utils/request'

export function page (pageParam) {
  return request({
    url: '/tmerclub_admin/ma/indexPic/page',
    method: 'get',
    params: pageParam
  })
}

export function get (imgId) {
  return request({
    url: '/tmerclub_admin/ma/indexPic',
    method: 'get',
    params: {
      imgId
    }
  })
}

export function save (data) {
  return request({
    url: '/tmerclub_admin/ma/indexPic',
    method: 'post',
    data
  })
}

export function update (data) {
  return request({
    url: '/tmerclub_admin/ma/indexPic',
    method: 'put',
    data
  })
}

export function deleteById (imgId) {
  return request({
    url: '/tmerclub_admin/ma/indexPic',
    method: 'delete',
    params: {
      imgId
    }
  })
}
